# Updates a Proxy Key in the account & org

This operation is used to modify which environments a ProxyKey has access to. The request body can include one or more instructions that can assign or unassign environmnets to the ProxyKey

Endpoint: PATCH /cf/admin/proxy/keys/{identifier}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identifier` (string, required)
    Unique identifier for the object in the API.

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier

## Request fields (application/json):

  - `instructions` (object)

  - `instructions.rotateKey` (string)
    Example: "12h"

  - `instructions.updateConfig` (object)
    Example: {"organizations":{"org123":{"projects":{"project1":{"environments":[],"scope":"all"},"project2":{"environments":[],"scope":"prod"},"project3":{"environments":[],"scope":"non-prod"},"project4":{"environments":["env1","env2","env3"],"scope":"selected"}}}},"version":1}

  - `instructions.updateConfig.organizations` (object, required)

  - `instructions.updateConfig.version` (integer, required)
    Example: 1

  - `instructions.updateDescription` (string)
    Example: "new proxyKey updateDescription"

  - `instructions.updateName` (string)
    Example: "newProxyKey"

## Response 200 fields (application/json):

  - `key` (string)
    Example: "0202f58b-d670-44ef-bd1f-323a48c28004"

## Response 400 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


